STRUCT TEMPLAT(3)

NAME
boost::intrusive::void_pointer

SYNOPSIS

// In header: <boost/intrusive/options.hpp>
template<typename VoidPointer>
struct void_pointer {
  // member classes/structs/unions
  // @ template<class Base>
  struct pack {
    // types
    typedef VoidPointer void_pointer;
  };
};

DESCRIPTION

This option setter specifies the type of a void pointer. This will instruct the hook to use this type of pointer instead of the default one